
Redmine - Defect #16015

Stale data is populated on Update if another user has made changes

2014-02-03 22:05 - Martin Vierula

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

database version: mysql 5.5.24

ruby version: 1.9.3p0

rails version: 3.2.13

redmine version: 2.3

I have been able to reproduce this multiple times, with these steps:

1) User A creates a ticket with Target version of '4.0'

2) User B changes the ticket to have a Target version of '3.2'

3) User A, with the ticket still open from before, clicks the browser's refresh button; User A now has the ticket open with the most

recent data, including being able to see the updated Target version of '3.2'

4) User A clicks Update.  Target version then gets automatically populated with the stale '4.0'

At this point, if User A notices that it has changed back to the stale value, he can of course manually alter it.  But if he does not, and

is intending only to make some different change to the ticket, then when he clicks Submit, he will inadvertently save the stale value

for Target version.

Related issues:

Is duplicate of Redmine - Patch #26604: Set a random name attribute on all fo... Closed

History

#1 - 2014-02-05 23:36 - Martin Vierula

Added notes:

I only seem to be able to reproduce this effect with the Firefox Browser.  IE and Chromium do not appear to be impacted.

Also, when using Firefox, using <ctrl> F5 at step #3 results in the problem not occurring.

#2 - 2014-02-28 09:14 - Toshi MARUYAMA

- Category set to Issues

#3 - 2024-10-23 13:04 - Holger Just

- Is duplicate of Patch #26604: Set a random name attribute on all forms to prevent overwritten values after soft reload with Firefox added

#4 - 2024-10-23 13:06 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate

This should be fixed with #26604 in 4.1.0

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://www.redmine.org/issues/3
https://www.redmine.org/issues/26604
https://www.redmine.org/versions/127
http://www.tcpdf.org

